<style>
    table {
          width: 100% !important;
      }
</style>
<div id="forms" class="page-layout carded fullwidth">

  <!-- TOP BACKGROUND -->
  <div class="top-bg accent"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

      <!-- HEADER -->
      <div class="header accent"
           fxLayout="column" fxLayoutAlign="center center"
           fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">

          <!-- APP TITLE -->
          <div class="logo mb-24 mb-md-0"
               fxLayout="row" fxLayoutAlign="start center">
              <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                assignment
              </mat-icon>
              <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                  {{title}}
              </span>
          </div>
          <!-- / APP TITLE -->

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
           
        <form class="mat-card mat-elevation-z4 p-24 mr-24" fxLayout="column" fxLayoutAlign="start"
        fxFlex="1 0 auto" name="form" [formGroup]="form" (ngSubmit)="onSubmit()">

      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <!-- <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>Company (disabled)</mat-label>
              <input matInput formControlName="company">
              <mat-icon matSuffix class="disabled-text">domain</mat-icon>
          </mat-form-field> -->

      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

        <!-- <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Processor</mat-label>
            <mat-select formControlName="processor_id" required>
                <mat-option [value]="processor['processor_id']"  *ngFor="let processor of processorData">
                    {{processor['company']}} ({{processor['processor_id']}})
                </mat-option>

            </mat-select>
            <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
            <mat-error>Processor is required!</mat-error>
        </mat-form-field> -->

        <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Processor</mat-label>
            <mat-select formControlName="processor_id" placeholder="Search" #singleSelect>
              <mat-option>
                <ngx-mat-select-search [formControl]="processorFilterCtrl" placeholderLabel="Search"></ngx-mat-select-search>
              </mat-option>
              <mat-option [value]="processor['processor_id']"  *ngFor="let processor of filteredprocessor">
                {{processor['company']}} ({{processor['processor_id']}})
            </mat-option>
            </mat-select>
            <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
            <mat-error>Processor is required!</mat-error>
          </mat-form-field>

      </div>


    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

        <!-- <mat-form-field  appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Date Entered</mat-label>
            <input matInput [matDatepicker]="picker1"  formControlName="date_Entered" readonly required>
            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
            <mat-datepicker #picker1></mat-datepicker>
            <mat-error>Date entered is required!</mat-error>
        </mat-form-field> -->

        <mat-form-field  appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Date Deposited</mat-label>
            <input matInput [matDatepicker]="picker2"  formControlName="date_Deposited" placeholder="MM/DD/YYYY" required>
            <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
            <mat-datepicker #picker2></mat-datepicker>
            <mat-error>Date deposited is required!</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Deposit Number</mat-label>
            <input matInput formControlName="deposit_Num" required>
            <!-- <mat-icon matSuffix class="secondary-text">attach_money</mat-icon> -->
            <mat-error *ngIf="errorHandling('deposit_Num', 'required')" >Deposit number is required!</mat-error>

        </mat-form-field>

    </div>


    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">


        <mat-form-field  appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Check Date</mat-label>
            <input matInput [matDatepicker]="picker"  formControlName="check_Date" placeholder="MM/DD/YYYY" required>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-error>Check Date is required!</mat-error>

        </mat-form-field>

        <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Check Number</mat-label>
            <input matInput formControlName="check_Num" required>
            <mat-icon matSuffix class="secondary-text">confirmation_number</mat-icon>
            <mat-error>Check number is required!</mat-error>
        </mat-form-field>



    </div>


    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">


        <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Access Type</mat-label>
            <mat-select formControlName="accessType" required>
                <mat-option [value]="accessType['id']"  *ngFor="let accessType of accessTypeData">
                    {{accessType['title']}}
                </mat-option>

            </mat-select>
            <mat-icon matSuffix class="secondary-text">control_point</mat-icon>
            <mat-error>Access type is required!</mat-error>
        </mat-form-field>

    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">


        <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Bushels/Tons</mat-label>
            <input matInput formControlName="buTons"  (keyup)="butonsFormula($event.target.value)" step="0.01"  required>
            <mat-icon matSuffix class="secondary-text">attach_money</mat-icon>
            <mat-error *ngIf="errorHandling('buTons', 'required')" >Bushels/Tons is required!</mat-error>
            <mat-error *ngIf="errorHandling('buTons', 'pattern')" > Bushels/Tons is not valid.</mat-error>
            <mat-error *ngIf="errorHandling('buTons', 'maxlength')" > Bushels/Tons is not valid.</mat-error>

        </mat-form-field>

        <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Amount</mat-label>
            <input matInput formControlName="amount" required>
            <mat-icon matSuffix class="secondary-text">attach_money</mat-icon>
            <mat-error *ngIf="errorHandling('amount', 'required')" >Amount is required!</mat-error>
            <mat-error *ngIf="errorHandling('amount', 'pattern')" > Amount is not valid.</mat-error>
            <mat-error *ngIf="errorHandling('amount', 'maxlength')" > Amount is not valid.</mat-error>

        </mat-form-field>


    </div>


      <!-- <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>County</mat-label>
              <mat-select formControlName="country" required>
                  <mat-option [value]="country['ID']"  *ngFor="let country of countryData">
                      {{country['County']}}
                  </mat-option>

              </mat-select>
              <mat-icon matSuffix class="secondary-text">outlined_flag</mat-icon>
              <mat-error>County is required!</mat-error>
          </mat-form-field>

      </div> -->



    <mat-form-field appearance="outline" fxFlex="100" [hidden]="true" style="display: none;">
    <input matInput formControlName="id">
    </mat-form-field>
      <div fxLayout="row" fxLayoutAlign="center center">
        <button mat-raised-button type="submit" color="accent" [disabled]="!form.valid">
            Save
        </button> &nbsp;&nbsp;&nbsp;
        <button mat-raised-button  [routerLink]="'/apps/admin/manage-assessment'" color="red">
            Cancel
        </button>
    </div>

  </form>

   
  </div>
  <!-- / CENTER -->
</div>
